MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030643Open CASCADE[OCCT] OCCT:Visualizationpublic2019-04-09 16:302019-04-14 15:41
Reporterkgv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030643: Visualization, Ray-Tracing - shader compilation errors are not properly logged
DescriptionOpenGl_View::initShader() method does not log shader compilation errors properly.
So that path for 0030488 was incomplete.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0030488verifiedapn Visualization, Ray Tracing - empty error message on GLSL program compilation 

-  Notes
(0083579)
git (administrator)
2019-04-09 16:33

Branch CR30643 has been created by kgv.

SHA-1: 94bcbafa6e4b54efad37f541c0266636dfdc1611


Detailed log of new commits:

Author: kgv
Date: Tue Apr 9 16:25:29 2019 +0300

    0030643: Visualization, Ray-Tracing - shader compilation errors are not properly logged
    
    OpenGl_View::initShader() now uses OpenGl_ShaderObject::LoadAndCompile().
(0083586)
kgv (developer)
2019-04-09 18:43

Please raise trivial patch.
(0083605)
apn (administrator)
2019-04-10 15:21

Combination -
OCCT branch : CR30643
master SHA - 94bcbafa6e4b54efad37f541c0266636dfdc1611
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - d412f0b027477420c2d298427655475b16b61588
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16558.960000000086 / 16561.32 [-0.01%]
Products
Total CPU difference: 10535.120000000059 / 10513.120000000044 [+0.21%]
Windows-64-VC14:
OCCT
Total CPU difference: 17978.265625 / 17981.5625 [-0.02%]
Products
Total CPU difference: 11997.09375 / 11993.9375 [+0.03%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083712)
git (administrator)
2019-04-14 15:41

Branch CR30643 has been deleted by inv.

SHA-1: 94bcbafa6e4b54efad37f541c0266636dfdc1611

- Related Changesets
occt: master 74413ca7
Timestamp: 2019-04-09 13:25:29
Author: kgv
Committer: apn
Details ] Diff ]
0030643: Visualization, Ray-Tracing - shader compilation errors are not properly logged

OpenGl_View::initShader() now uses OpenGl_ShaderObject::LoadAndCompile().
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-04-09 16:30 kgv New Issue
2019-04-09 16:30 kgv Assigned To => kgv
2019-04-09 16:33 git Note Added: 0083579
2019-04-09 16:37 kgv Relationship added child of 0030488
2019-04-09 18:43 kgv Note Added: 0083586
2019-04-09 18:43 kgv Assigned To kgv => bugmaster
2019-04-09 18:43 kgv Severity minor => trivial
2019-04-09 18:43 kgv Status new => resolved
2019-04-09 18:43 kgv Status resolved => reviewed
2019-04-09 18:44 kgv Description Updated View Revisions
2019-04-10 15:21 apn Test case number => Not needed
2019-04-10 15:21 apn Note Added: 0083605
2019-04-10 15:21 apn Status reviewed => tested
2019-04-14 15:36 apn Changeset attached => occt master 74413ca7
2019-04-14 15:36 apn Assigned To bugmaster => apn
2019-04-14 15:36 apn Status tested => verified
2019-04-14 15:36 apn Resolution open => fixed
2019-04-14 15:41 git Note Added: 0083712


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker